Package org.apache.commons.fileupload2.core

# Class AbstractProgressListenerTest<AFU extends org.apache.commons.fileupload2.core.AbstractFileUpload<R,I,F>,R,I extends org.apache.commons.fileupload2.core.FileItem<I>,F extends org.apache.commons.fileupload2.core.FileItemFactory<I>>

java.lang.Object
org.apache.commons.fileupload2.core.AbstractTest<AFU,R,I,F>
org.apache.commons.fileupload2.core.AbstractProgressListenerTest<AFU,R,I,F>

Type Parameters:
  `AFU` - The subclass of FileUpload.
  `R` - The FileUpload request type.
  `I` - The FileItem type.
  `F` - The FileItemFactory type.

public abstract class AbstractProgressListenerTest<AFU extends org.apache.commons.fileupload2.core.AbstractFileUpload<R,I,F>,R,I extends org.apache.commons.fileupload2.core.FileItem<I>,F extends org.apache.commons.fileupload2.core.FileItemFactory<I>> extends AbstractTest<AFU,R,I,F>
Tests the `ProgressListener`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected static class`
  `AbstractProgressListenerTest.ProgressListenerImpl`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractProgressListenerTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `runTest(int itemCount, long contentLength, R request)`
  `void`
  `testProgressListener()`
  Parse a very long file upload by using a progress listener.

  ### Methods inherited from class org.apache.commons.fileupload2.core.AbstractTest

  `newFileUpload, newMockHttpServletRequest, newMockHttpServletRequest, newMockHttpServletRequest`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractProgressListenerTest

    public AbstractProgressListenerTest()

- ## Method Details

  - ### runTest

    protected void runTest(int itemCount, long contentLength, R request) throws org.apache.commons.fileupload2.core.FileUploadException, IOException
    Throws:
      `org.apache.commons.fileupload2.core.FileUploadException`
      `IOException`

  - ### testProgressListener

    @Test public void testProgressListener() throws IOException
    Parse a very long file upload by using a progress listener.
    Throws:
      `IOException` - Test failure.